| The Gaudi Framework v32r1 (f65d50dc)

Public Attributes | List of all members
pfarg_pmd_t Struct Reference

`#include <src/component/perfmon/perfmon_v2.h>`

## Public Attributes
uint16_t | reg_num
uint16_t | reg_set
uint32_t | reg_flags
uint64_t | reg_value
uint64_t | reg_long_reset
uint64_t | reg_short_reset
uint64_t | reg_last_reset_val
uint64_t | reg_ovfl_switch_cnt
uint64_t | reg_reset_pmds [PFM_PMD_BV]
uint64_t | reg_smpl_pmds [PFM_PMD_BV]
uint64_t | reg_smpl_eventid
uint64_t | reg_random_mask
uint32_t | reg_random_seed
uint32_t | reg_reserved2 [7]

## Detailed Description

Definition at line 38 of file perfmon_v2.h.

## Member Data Documentation

## ◆ reg_flags

uint32_t pfarg_pmd_t::reg_flags

Definition at line 41 of file perfmon_v2.h.

## ◆ reg_last_reset_val

uint64_t pfarg_pmd_t::reg_last_reset_val

Definition at line 45 of file perfmon_v2.h.

## ◆ reg_long_reset

uint64_t pfarg_pmd_t::reg_long_reset

Definition at line 43 of file perfmon_v2.h.

## ◆ reg_num

uint16_t pfarg_pmd_t::reg_num

Definition at line 39 of file perfmon_v2.h.

## ◆ reg_ovfl_switch_cnt

uint64_t pfarg_pmd_t::reg_ovfl_switch_cnt

Definition at line 46 of file perfmon_v2.h.

## ◆ reg_random_mask

uint64_t pfarg_pmd_t::reg_random_mask

Definition at line 50 of file perfmon_v2.h.

## ◆ reg_random_seed

uint32_t pfarg_pmd_t::reg_random_seed

Definition at line 51 of file perfmon_v2.h.

## ◆ reg_reserved2

uint32_t pfarg_pmd_t::reg_reserved2[7]

Definition at line 52 of file perfmon_v2.h.

## ◆ reg_reset_pmds

uint64_t pfarg_pmd_t::reg_reset_pmds[PFM_PMD_BV]

Definition at line 47 of file perfmon_v2.h.

## ◆ reg_set

uint16_t pfarg_pmd_t::reg_set

Definition at line 40 of file perfmon_v2.h.

## ◆ reg_short_reset

uint64_t pfarg_pmd_t::reg_short_reset

Definition at line 44 of file perfmon_v2.h.

## ◆ reg_smpl_eventid

uint64_t pfarg_pmd_t::reg_smpl_eventid

Definition at line 49 of file perfmon_v2.h.

## ◆ reg_smpl_pmds

uint64_t pfarg_pmd_t::reg_smpl_pmds[PFM_PMD_BV]

Definition at line 48 of file perfmon_v2.h.

## ◆ reg_value

uint64_t pfarg_pmd_t::reg_value

Definition at line 42 of file perfmon_v2.h.

The documentation for this struct was generated from the following file:

- GaudiProfiling/src/component/perfmon/perfmon_v2.h